Page MenuHomePhabricator

Provide a desktop beta feature of replacing Kaltura player with Video.js
Closed, ResolvedPublic

Description

There's code for this merged in https://gerrit.wikimedia.org/r/#/c/312327/ but it needs some work before we can release it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 11:29 PM
brion added a comment.Oct 14 2016, 2:53 AM

I think we also still need a better small-thumbnail video player story, either updating the pop-up dialog patch or finishing the MultimediaViewer one.

TheDJ moved this task from Backlog to Player on the TimedMediaHandler board.Oct 14 2016, 7:29 PM

Bump any update on this?

Izno added a subscriber: Izno.Mar 23 2017, 10:30 PM
Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Apr 19 2017, 6:37 PM

I'm not working on this right now, sorry.

Change 354389 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable TimedMediaHandler's new video player Beta Feature in Labs

https://gerrit.wikimedia.org/r/354389

Change 354390 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable TimedMediaHandler's new video player Beta Feature

https://gerrit.wikimedia.org/r/354390

Change 354389 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable TimedMediaHandler's new video player Beta Feature in Labs

https://gerrit.wikimedia.org/r/354389

The svg file needs quite some work, the blue is not correct (it should be #36c) The grey colors are probably not okay either. It's also not minified (4.7KB)

Change 355113 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@master] Bring Video.JS beta feature integration up to standard

https://gerrit.wikimedia.org/r/355113

I'm not working on this right now, sorry.

Apparently I am. :-)

Change 355113 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Bring Video.JS beta feature integration up to standard

https://gerrit.wikimedia.org/r/355113

Jdforrester-WMF updated the task description. (Show Details)
brion moved this task from Player to Doing on the TimedMediaHandler board.Jan 20 2018, 12:55 AM

Apparently I am. :-)

I was looking to replace kaltura player on my self hosted installation when I found video.JS... and this! I just want to say thank you so much.

Ainali added a subscriber: Ainali.Jun 17 2019, 8:52 PM
Eatcha added a subscriber: Eatcha.Jun 18 2019, 11:08 AM

What about the playbackRates ?

@Eatcha: Please be more specific.

@Aklapper , I mean "Will there be any kind of Speed controls, in this new player?" Check the image at https://vimeo.zendesk.com/hc/article_attachments/115021525107/playback.png

brion added a comment.Jun 18 2019, 2:47 PM

@Eatcha T174393 covers this; we can add it fairly easily soon (the necessary support for the Safari compatibility shim was recently added upstream; I just have to package a release and then enable the rate control)

Thank you very much

Change 354390 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable TimedMediaHandler's new video player Beta Feature

https://gerrit.wikimedia.org/r/354390

Mentioned in SAL (#wikimedia-operations) [2019-06-20T23:06:52Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable TimedMediaHandler's new video player Beta Feature T148103 (duration: 00m 57s)

please take a look at https://commons.wikimedia.org/wiki/Commons:Featured_videos/Animated , why the bottom most videos are so small ??

Please note that these pages will be handled by Bots only, try to provide solutions that are easy to implement. Thanks

brion added a comment.Sat, Jun 22, 5:23 PM

They seem to be small whether the old or new players are in use. Not quite sure why yet, will look into in a bit -- those are full size videos and should not be showing tiny... The polar bear video is low resolution, and seems to show at its native size. We may need to adjust things to ensure that video players can be sized larger than their originals?

brion added a comment.Sat, Jun 22, 5:25 PM

@Eatcha can you file a task for the unexpectedly small videos in gallery, and we'll track it down on that task. Thanks!

brion added a comment.Sat, Jun 22, 5:50 PM

Note the root problem appears to be that some of the files are incorrectly marked as audio, causing a small width to be used for making thumbnails instead of a large one:

	protected function getThumbParams( $img ) {
		if ( $img && $img->getMediaType() === MEDIATYPE_AUDIO ) {
			$width = $this->mWidths;
		} else {
			// We want the width not to be the constraining
			// factor, so use random big number.
			$width = $this->mHeights * 10 + 100;
		}

		// self::SCALE_FACTOR so the js has some room to manipulate sizes.
		return [
			'width' => $width * self::SCALE_FACTOR,
			'height' => $this->mHeights * self::SCALE_FACTOR,
		];
	}

This has no relationship to the video.js or kaltura frontends; it's a backend problem with labeling the files.

@Eatcha: Please file separate issues as separate tasks: https://www.mediawiki.org/wiki/How_to_report_a_bug . This task is about providing a desktop beta feature of replacing Kaltura player with Video.js. This task is not a catch-all for any potential issues that might happen or not in Video.js. Thanks for your understanding! :)

Jdforrester-WMF closed this task as Resolved.Mon, Jun 24, 4:05 PM
Jdforrester-WMF claimed this task.

Yup, this task is done.